View Issue Details

IDProjectCategoryView StatusLast Update
0002320SketcherBugpublic2016-01-07 17:25
ReportertriplusAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04
Product Version 
Target VersionFixed in Version0.16 
Summary0002320: SparseQR (Eigen 3.3) compile issue
DescriptionSparseQR support in sketcher was disabled for Eigen 3.3 due to compile issues. It would be nice to get SparseQR support working again if Eigen 3.3 library is used.

More info:

http://forum.freecadweb.org/viewtopic.php?f=10&t=12769&start=30#p104543
TagsNo tags attached.

Activities

abdullah

2015-11-10 18:31

manager   ~0006537

This should be the fix:
http://forum.freecadweb.org/viewtopic.php?f=10&t=12769&p=105276#p105276

However, we have to wait for Debian to get something less buggy than Eigen-3.3-alpha1 before merging it to master.

abdullah

2015-11-26 14:53

manager   ~0006554

No this is the solution and pull request:
http://forum.freecadweb.org/viewtopic.php?f=17&t=13336

abdullah

2016-01-07 17:25

manager   ~0006684

Recently merged by Yorik.

Issue History

Date Modified Username Field Change
2015-10-31 23:30 triplus New Issue
2015-11-01 18:28 abdullah Assigned To => abdullah
2015-11-01 18:28 abdullah Status new => assigned
2015-11-10 18:31 abdullah Note Added: 0006537
2015-11-26 14:53 abdullah Note Added: 0006554
2015-11-26 14:54 abdullah Status assigned => confirmed
2016-01-07 17:25 abdullah Note Added: 0006684
2016-01-07 17:25 abdullah Status confirmed => closed
2016-01-07 17:25 abdullah Resolution open => fixed
2016-01-07 17:25 abdullah Fixed in Version => 0.16